Bug 821184 - (fatback) Review Request: fatback - A tool for recovering files from FAT file systems
Review Request: fatback - A tool for recovering files from FAT file systems
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michal Ambroz
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-SECLAB
  Show dependency treegraph
 
Reported: 2012-05-12 17:36 EDT by Fabian Affolter
Modified: 2012-08-29 03:43 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-29 03:43:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2012-05-12 17:36:30 EDT
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/fatback.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/fatback-1.3-1.fc16.src.rpm

Project URL: https://sourceforge.net/projects/fatback/

Description:
Fatback is a forensic tool for undeleting files from Microsoft FAT file
systems. Fatback is different from other undelete tools in that it does
the following:
- Can undelete files automatically
- Supports Long File Names
- Supports FAT12, FAT16, and FAT32
- Powerful interactive mode
- Recursively undeletes deleted directories
- Recovers lost cluster chains
- Works with single partitions or whole disks

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4073158

rpmlint output:
[fab@laptop017 SRPMS]$ rpmlint fatback-1.3-1.fc16.src.rpm 
fatback.src: W: spelling-error %description -l en_US undeleting -> unrelenting
fatback.src: W: spelling-error %description -l en_US undelete -> delete
fatback.src: W: spelling-error %description -l en_US undeletes -> deletes
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

[fab@laptop017 x86_64]$ rpmlint fatback-*
fatback.x86_64: W: spelling-error %description -l en_US undeleting -> unrelenting
fatback.x86_64: W: spelling-error %description -l en_US undelete -> delete
fatback.x86_64: W: spelling-error %description -l en_US undeletes -> deletes
fatback.x86_64: E: incorrect-fsf-address /usr/share/doc/fatback-1.3/COPYING
fatback-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/fatback-1.3/getopt.h
2 packages and 0 specfiles checked; 2 errors, 3 warnings.
Comment 1 Volker Fröhlich 2012-05-20 17:53:14 EDT
Are you aware of this ticket?

http://sourceforge.net/tracker/?func=detail&aid=1906997&group_id=115773&atid=738816
Comment 2 Michal Ambroz 2012-05-20 19:41:29 EDT
Hello Fabian,
I believe there is some legal question about the license of fatback.

Files+licenses:
- getopt.h getopt.c getopt1.c are taken from some version of glibc and GPLv2+ license.
- missing,techinfo.tex - GPLv2+


- install-sh - MIT license 

- pseudo_code, fatback-manual.info, fatback-manual.texi
   Copyright (C) 2000-2001 DoD Computer Forensics Lab This manual and
the Fatback program are for *government and law enforcement use only*.

- rest of the files is not clear what license it has

As it bundles GPLv2 software it is possible that it is infected with the GPLv2 license too, but I doubt so. GPLv2 files is not the core functionality. It would be definitely better to contact the upstream (harbourn@dcfl.gov) and Tom Spot Callaway to bring some light to this question. 

Best regards
Michal Ambroz
Comment 3 Ralf Corsepius 2012-05-21 11:03:51 EDT
(In reply to comment #2)
> Files+licenses:
...
> - missing,techinfo.tex - GPLv2+
These files are utterly outdated. 

As these are bundled default with many autotool based packages and are supposed to be bundled as with autotool based packages, them being GPLv2+ed IIRC was a bug in the (really old and ancient) version of the autotools having been used by this package.

This license issue was fixed later on in later releases of the autotools. Appropriate fix would be to use the versions from later autotools (automake).


This and other observations raise an unpleasant question:
Does this package have an active upstream? The latest date in ChangeLog is from 2001, so my guess would be this package is dead.
Comment 4 Michal Ambroz 2012-05-23 10:55:38 EDT
>Does this package have an active upstream? 
>The latest date in ChangeLog is from 2001, so my guess would be this package is dead.
Let's assume the package is not dead, but it is perfect and stable :).
Comment 5 Ralf Corsepius 2012-05-23 11:04:39 EDT
(In reply to comment #4)
> Let's assume the package is not dead, but it is perfect and stable :).
Not much of a problem if the Fedora maintainer is willing to cope with the anachronisms a package carries ;)

... This package carries quite a few ...
Comment 6 Michal Ambroz 2012-06-25 21:40:20 EDT
Hello,
I can take a review of this package.
Fabian please have you got any response from the upstream on the licensing questions?

Thank you
Michal Ambroz
Comment 7 Fabian Affolter 2012-08-29 03:43:46 EDT
No, upstream is dead.

Note You need to log in before you can comment on or make changes to this bug.